Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class NullContentHandler

    java.lang.Object
      com.servingxml.util.xml.NullContentHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler

    public final class NullContentHandler

extends java.lang.Object
implements org.xml.sax.ContentHandler

Constructor Summary
`NullContentHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes atts)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullContentHandler

    public NullContentHandler()

Method Detail

### startDocument

    public final void startDocument()

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`

### setDocumentLocator

    public final void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### startPrefixMapping

    public final void startPrefixMapping(java.lang.String prefix,
                                         java.lang.String uri)

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

### endPrefixMapping

    public final void endPrefixMapping(java.lang.String prefix)

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

### ignorableWhitespace

    public final void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`

### processingInstruction

    public final void processingInstruction(java.lang.String target,
                                            java.lang.String data)

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`

### skippedEntity

    public final void skippedEntity(java.lang.String name)

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`

### startElement

    public final void startElement(java.lang.String namespaceUri,
                                   java.lang.String localName,
                                   java.lang.String qname,
                                   org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`

### characters

    public final void characters(char[] ch,
                                 int start,
                                 int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`

### endElement

    public final void endElement(java.lang.String namespaceUri,
                                 java.lang.String localName,
                                 java.lang.String qname)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`

### endDocument

    public final void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD